# H235_CryptoToken_cryptoHashedToken Class Reference

`#include <h235.h>`

Inheritance diagram for H235_CryptoToken_cryptoHashedToken:

List of all members.

## Public Member Functions

| H235_CryptoToken_cryptoHashedToken (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_ObjectId | m_tokenOID
H235_ClearToken | m_hashedVals
H235_HASHED< H235_EncodedGeneralToken > | m_token

## Constructor & Destructor Documentation

H235_CryptoToken_cryptoHashedToken::H235_CryptoToken_cryptoHashedToken | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_CryptoToken_cryptoHashedToken::GetDataLength | ( |  | ) | const

PBoolean H235_CryptoToken_cryptoHashedToken::Decode | ( | PASN_Stream & | strm | ) |

void H235_CryptoToken_cryptoHashedToken::Encode | ( | PASN_Stream & | strm | ) | const

void H235_CryptoToken_cryptoHashedToken::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_CryptoToken_cryptoHashedToken::Compare | ( | const PObject & | obj | ) | const

PObject* H235_CryptoToken_cryptoHashedToken::Clone | ( |  | ) | const

## Member Data Documentation

PASN_ObjectId H235_CryptoToken_cryptoHashedToken::m_tokenOID

H235_ClearToken H235_CryptoToken_cryptoHashedToken::m_hashedVals

H235_HASHED<H235_EncodedGeneralToken> H235_CryptoToken_cryptoHashedToken::m_token

The documentation for this class was generated from the following file:

- h235.h